Conversations
Toggle Typing Status
Toggles the typing status for a conversation.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
toggle_typing_status
Toggle Typing Status
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"typing_status": "on",
"is_private": false
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status"
payload = {
"typing_status": "on",
"is_private": False
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({typing_status: 'on', is_private: false})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userApiKeyagentBotApiKey
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
Response
Success
⌘I
Toggle Typing Status
